aboutsummaryrefslogtreecommitdiff
path: root/ci/common/submit_coverage.sh
diff options
context:
space:
mode:
Diffstat (limited to 'ci/common/submit_coverage.sh')
-rwxr-xr-xci/common/submit_coverage.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/ci/common/submit_coverage.sh b/ci/common/submit_coverage.sh
index 4e92975d22..9c7887de0b 100755
--- a/ci/common/submit_coverage.sh
+++ b/ci/common/submit_coverage.sh
@@ -43,3 +43,14 @@ fi
# Cleanup always, especially collected data.
find . \( -name '*.gcov' -o -name '*.gcda' \) -ls -delete | wc -l
rm -f coverage.xml
+
+# Upload Lua coverage (generated manually on AppVeyor/Windows).
+if [ "$USE_LUACOV" = 1 ] && [ "$1" != "oldtest" ]; then
+ if [ -x "${DEPS_BUILD_DIR}/usr/bin/luacov" ]; then
+ "${DEPS_BUILD_DIR}/usr/bin/luacov"
+ fi
+ if ! "$codecov_sh" -f luacov.report.out -X gcov -X fix -Z -F "lua,${codecov_flags}"; then
+ echo "codecov upload failed."
+ fi
+ rm luacov.stats.out
+fi